## org.eclipse.emf.spi.cdo
Class CDOSessionProtocol.RepositoryTimeResult

    java.lang.Object
      org.eclipse.emf.spi.cdo.CDOSessionProtocol.RepositoryTimeResult

Enclosing interface:
  CDOSessionProtocol

    public static final class CDOSessionProtocol.RepositoryTimeResult

extends java.lang.Object

Constructor Summary
`CDOSessionProtocol.RepositoryTimeResult()`

Method Summary
`long` `getAproximateRepositoryOffset()`
`long` `getAproximateRepositoryTime()`
`long` `getConfirmed()`
`long` `getIndicated()`
`long` `getRequested()`
`long` `getResponded()`
`void` `setConfirmed(long confirmed)`
`void` `setIndicated(long indicated)`
`void` `setRequested(long requested)`
`void` `setResponded(long responded)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDOSessionProtocol.RepositoryTimeResult

    public CDOSessionProtocol.RepositoryTimeResult()

Method Detail

### getRequested

    public long getRequested()

### setRequested

    public void setRequested(long requested)

### getIndicated

    public long getIndicated()

### setIndicated

    public void setIndicated(long indicated)

### getResponded

    public long getResponded()

### setResponded

    public void setResponded(long responded)

### getConfirmed

    public long getConfirmed()

### setConfirmed

    public void setConfirmed(long confirmed)

### getAproximateRepositoryOffset

    public long getAproximateRepositoryOffset()

### getAproximateRepositoryTime

    public long getAproximateRepositoryTime()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.